{
    "fields": [
        {
            "doc": "International System for Human Cytogenetic Nomenclature (.e.g: \"+14p+\", \"+t(13q21 q)\")",
            "name": "iscn",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "The assembly",
            "name": "assembly",
            "type": {
                "doc": "The reference genome assembly",
                "name": "Assembly",
                "symbols": [
                    "GRCh38",
                    "GRCh37"
                ],
                "type": "enum"
            }
        },
        {
            "doc": "Chromosome involved in the aneuploidy",
            "name": "chromosome",
            "type": "string"
        },
        {
            "doc": "Wheter the aneuploidy is for the whole chromosme or just a fragment",
            "name": "complete",
            "type": "boolean"
        },
        {
            "doc": "Coordinates can be specified to indicate the part of the chromosome affected",
            "name": "coordinates",
            "type": [
                "null",
                {
                    "fields": [
                        {
                            "name": "assembly",
                            "type": "Assembly"
                        },
                        {
                            "name": "chromosome",
                            "type": "string"
                        },
                        {
                            "name": "start",
                            "type": "int"
                        },
                        {
                            "name": "end",
                            "type": "int"
                        },
                        {
                            "name": "ciStart",
                            "type": [
                                "null",
                                {
                                    "fields": [
                                        {
                                            "name": "left",
                                            "type": "int"
                                        },
                                        {
                                            "name": "right",
                                            "type": "int"
                                        }
                                    ],
                                    "name": "ConfidenceInterval",
                                    "type": "record"
                                }
                            ]
                        },
                        {
                            "name": "ciEnd",
                            "type": [
                                "null",
                                "ConfidenceInterval"
                            ]
                        }
                    ],
                    "name": "Coordinates",
                    "type": "record"
                }
            ]
        },
        {
            "doc": "Number of copies",
            "name": "numberOfCopies",
            "type": "int"
        }
    ],
    "name": "Aneuploidy",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}